FAQ
Running puppet from vagrant.
this is my puppet code:

package {
["build-essential","apache2","git","python","python-dev","python-setuptools",
"python-pip"]:
ensure => present,
require => Class["apt"],
}
# include apt
class {"apt":
always_apt_update => true,
}
apt::builddep { ["python-imaging","python-lxml"]:

  }
include nodejs
package {"less":
ensure => present,
provider => 'npm',
require => Package['npm'],
}
package {"python-virtualenv":
ensure => present,
require => Package["python-pip", "python-setuptools"]
}
package {"sphinx":
ensure => present,
require => Package["python-pip"],
provider => pip
}
service {'apache2':
ensure => running,
enable => true,
#subscribe => File["/etc/apache2/apache2.conf"]
}
#include postgresql
class { 'postgresql':
   charset => 'UTF8',
   require => Class['apt'],
}-> class { 'postgresql::server':
config_hash => {
     'ip_mask_deny_postgres_user' => '0.0.0.0/32',
     'ip_mask_allow_all_users' => '0.0.0.0/0',
     'listen_addresses' => '*',
   },
}
class {'postgresql::client':
package_ensure => present,
require => Class['postgresql'],
}
class {'postgresql::python':
package_ensure => present,
require => Class['postgresql'],
}


The error: would be glad with any help with this



←[0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
Exec[apt-builddep-pytho
n-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
Exec[apt-builddep-pytho
n-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]//Package[sphinx]: Skipping because of failed
depend
encies←[0m
←[0;36mnotice: /Stage[main]//Package[python]: Dependency
Exec[apt-builddep-pytho
n-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]//Package[python]: Dependency
Exec[apt-builddep-pytho
n-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]//Package[python]: Skipping because of failed
depend
encies←[0m
←[0;36mnotice: /Stage[main]//Package[apache2]: Dependency
Exec[apt-builddep-pyth
on-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]//Package[apache2]: Dependency
Exec[apt-builddep-pyth
on-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]//Package[apache2]: Skipping because of failed
depen
dencies←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Client/Package[postgresql-client]:
Depen
dency Exec[apt-builddep-python-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Client/Package[postgresql-client]:
Depen
dency Exec[apt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]/Postgresql::Client/Package[postgresql-client]:
Skip
ping because of failed dependencies←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Server/Package[postgresql-server]:
Depen
dency Exec[apt-builddep-python-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Server/Package[postgresql-server]:
Depen
dency Exec[apt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]/Postgresql::Server/Package[postgresql-server]:
Skip
ping because of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Exec[create_postgr
esql_conf_path]: Dependency Exec[apt-builddep-python-imaging] has failures:
true
←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Exec[create_postgr
esql_conf_path]: Dependency Exec[apt-builddep-python-lxml] has failures:
true←[0
m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Exec[create_postg
resql_conf_path]: Skipping because of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/File_line[postgres
ql.conf#include]: Dependency Exec[apt-builddep-python-imaging] has
failures: tru
e←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/File_line[postgres
ql.conf#include]: Dependency Exec[apt-builddep-python-lxml] has failures:
true←[
0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/File_line[postgre
sql.conf#include]: Skipping because of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf]: Dependency
Exec[apt-builddep-python-imagi
ng] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf]: Dependency
Exec[apt-builddep-python-lxml]
  has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat
/_etc_postgresql_9.1_main_pg_hba.conf]: Skipping because of failed
dependencies←
[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]: Dependency
Exec[apt-buil
ddep-python-imaging] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]: Dependency
Exec[apt-buil
ddep-python-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat
/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]: Skipping because
of fai
led dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]: Dependency
Exec[apt-
builddep-python-imaging] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]: Dependency
Exec[apt-
builddep-python-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat
/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]: Skipping
because of
  failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/File_line[postgres
ql.conf#listen_addresses]: Dependency Exec[apt-builddep-python-imaging] has
fail
ures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/File_line[postgres
ql.conf#listen_addresses]: Dependency Exec[apt-builddep-python-lxml] has
failure
s: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/File_line[postgre
sql.conf#listen_addresses]: Skipping because of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf/fragments]: Dependency
Exec[apt-builddep-py
thon-imaging] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat/
_etc_postgresql_9.1_main_pg_hba.conf/fragments]: Dependency
Exec[apt-builddep-py
thon-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/var/lib/puppet/concat
/_etc_postgresql_9.1_main_pg_hba.conf/fragments]: Skipping because of
failed dep
endencies←[0m
←[0;37mdebug: /Schedule[puppet]: Skipping device resources because running
on a
host←[0m
←[0;37mdebug: Class[Concat::Setup]: The container Stage[main] will
propagate my
refresh event←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[allow access to all users]/Concat::Fragment[pg_hba_rule_allow access
to al
l
users]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragme
nts/100_pg_hba_rule_allow access to all users]: Dependency
Exec[apt-builddep-pyt
hon-imaging] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[allow access to all users]/Concat::Fragment[pg_hba_rule_allow access
to al
l
users]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragme
nts/100_pg_hba_rule_allow access to all users]: Dependency
Exec[apt-builddep-pyt
hon-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a_rule[allow access to all users]/Concat::Fragment[pg_hba_rule_allow access
to a
ll
users]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragm
ents/100_pg_hba_rule_allow access to all users]: Skipping because of failed
depe
ndencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[local access as postgres user]/Concat::Fragment[pg_hba_rule_local
access a
s postgres
user]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.con
f/fragments/001_pg_hba_rule_local access as postgres user]: Dependency
Exec[apt-
builddep-python-imaging] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[local access as postgres user]/Concat::Fragment[pg_hba_rule_local
access a
s postgres
user]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.con
f/fragments/001_pg_hba_rule_local access as postgres user]: Dependency
Exec[apt-
builddep-python-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a_rule[local access as postgres user]/Concat::Fragment[pg_hba_rule_local
access
as postgres
user]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.co
nf/fragments/001_pg_hba_rule_local access as postgres user]: Skipping
because of
  failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[local access to database with same
name]/Concat::Fragment[pg_hba_rule_loca
l access to database with same
name]/File[/var/lib/puppet/concat/_etc_postgresql
_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local access to database
with sa
me name]: Dependency Exec[apt-builddep-python-imaging] has failures:
true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[local access to database with same
name]/Concat::Fragment[pg_hba_rule_loca
l access to database with same
name]/File[/var/lib/puppet/concat/_etc_postgresql
_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local access to database
with sa
me name]: Dependency Exec[apt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a_rule[local access to database with same
name]/Concat::Fragment[pg_hba_rule_loc
al access to database with same
name]/File[/var/lib/puppet/concat/_etc_postgresq
l_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local access to database
with s
ame name]: Skipping because of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[deny access to postgresql user]/Concat::Fragment[pg_hba_rule_deny
access t
o postgresql
user]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.c
onf/fragments/003_pg_hba_rule_deny access to postgresql user]: Dependency
Exec[a
pt-builddep-python-imaging] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[deny access to postgresql user]/Concat::Fragment[pg_hba_rule_deny
access t
o postgresql
user]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.c
onf/fragments/003_pg_hba_rule_deny access to postgresql user]: Dependency
Exec[a
pt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a_rule[deny access to postgresql user]/Concat::Fragment[pg_hba_rule_deny
access
to postgresql
user]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.
conf/fragments/003_pg_hba_rule_deny access to postgresql user]: Skipping
because
  of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[allow access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow
access
to ipv6
localhost]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.c
onf/fragments/101_pg_hba_rule_allow access to ipv6 localhost]: Dependency
Exec[a
pt-builddep-python-imaging] has failures: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
_rule[allow access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow
access
to ipv6
localhost]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.c
onf/fragments/101_pg_hba_rule_allow access to ipv6 localhost]: Dependency
Exec[a
pt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a_rule[allow access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow
access
  to ipv6
localhost]/File[/var/lib/puppet/concat/_etc_postgresql_9.1_main_pg_hba.
conf/fragments/101_pg_hba_rule_allow access to ipv6 localhost]: Skipping
because
  of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/
9.1/main/pg_hba.conf]: Dependency Exec[apt-builddep-python-imaging] has
failures
: true←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/
9.1/main/pg_hba.conf]: Dependency Exec[apt-builddep-python-lxml] has
failures: t
rue←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql
/9.1/main/pg_hba.conf]: Skipping because of failed dependencies←[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/etc/postgresql/9.1/mai
n/pg_hba.conf]: Dependency Exec[apt-builddep-python-imaging] has failures:
true←
[0m
←[0;36mnotice:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba
[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/etc/postgresql/9.1/mai
n/pg_hba.conf]: Dependency Exec[apt-builddep-python-lxml] has failures:
true←[0m
←[0;33mwarning:
/Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hb
a[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/etc/postgresql/9.1/ma
in/pg_hba.conf]: Skipping because of failed dependencies←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Server/Exec[reload_postgresql]:
Dependen
cy Exec[apt-builddep-python-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Server/Exec[reload_postgresql]:
Dependen
cy Exec[apt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]/Postgresql::Server/Exec[reload_postgresql]:
Skippin
g because of failed dependencies←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Server/Service[postgresqld]:
Dependency
Exec[apt-builddep-python-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Server/Service[postgresqld]:
Dependency
Exec[apt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]/Postgresql::Server/Service[postgresqld]:
Skipping b
ecause of failed dependencies←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Python/Package[python-psycopg2]:
Depende
ncy Exec[apt-builddep-python-imaging] has failures: true←[0m
←[0;36mnotice: /Stage[main]/Postgresql::Python/Package[python-psycopg2]:
Depende
ncy Exec[apt-builddep-python-lxml] has failures: true←[0m
←[0;33mwarning: /Stage[main]/Postgresql::Python/Package[python-psycopg2]:
Skippi
ng because of failed dependencies←[0m
←[0;37mdebug: Finishing transaction -615108958←[0m
←[0;37mdebug: Storing state←[0m
←[0;32minfo: Creating state file /var/lib/puppet/state/state.yaml←[0m
←[0;37mdebug: Stored state in 0.01 seconds←[0m
←[0;36mnotice: Finished catalog run in 108.10 seconds←[0m
←[0;37mdebug: /File[/var/lib/puppet/rrd]/ensure: created←[0m
←[0;37mdebug: Finishing transaction -616472668←[0m
←[0;37mdebug: Received report to process from precise32←[0m
←[0;37mdebug: Processing report from precise32 with processor
Puppet::Reports::S
tore←[0m
The following SSH command responded with a non-zero exit status.

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To post to this group, send email to puppet-users@googlegroups.com.
Visit this group at http://groups.google.com/group/puppet-users.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Jcbollinger at Jul 29, 2013 at 6:32 pm

    On Sunday, July 21, 2013 6:56:12 PM UTC-5, Alon Nisser wrote:
    Running puppet from vagrant.
    this is my puppet code:

    package {
    ["build-essential","apache2","git","python","python-dev","python-setuptools",
    "python-pip"]:
    ensure => present,
    require => Class["apt"],
    }
    # include apt
    class {"apt":
    always_apt_update => true,
    }
    apt::builddep { ["python-imaging","python-lxml"]:

    }
    include nodejs
    package {"less":
    ensure => present,
    provider => 'npm',
    require => Package['npm'],
    }
    package {"python-virtualenv":
    ensure => present,
    require => Package["python-pip", "python-setuptools"]
    }
    package {"sphinx":
    ensure => present,
    require => Package["python-pip"],
    provider => pip
    }
    service {'apache2':
    ensure => running,
    enable => true,
    #subscribe => File["/etc/apache2/apache2.conf"]
    }
    #include postgresql
    class { 'postgresql':
    charset => 'UTF8',
    require => Class['apt'],
    }-> class { 'postgresql::server':
    config_hash => {
    'ip_mask_deny_postgres_user' => '0.0.0.0/32',
    'ip_mask_allow_all_users' => '0.0.0.0/0',
    'listen_addresses' => '*',
    },
    }
    class {'postgresql::client':
    package_ensure => present,
    require => Class['postgresql'],
    }
    class {'postgresql::python':
    package_ensure => present,
    require => Class['postgresql'],
    }


    The error: would be glad with any help with this



    ←[0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
    Exec[apt-builddep-pytho
    n-imaging] has failures: true←[0m
    ←[0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
    Exec[apt-builddep-pytho
    n-lxml] has failures: true←[0m
    ←[0;33mwarning: /Stage[main]//Package[sphinx]: Skipping because of failed
    depend
    encies←[0m
    ←[0;36mnotice: /Stage[main]//Package[python]: Dependency
    Exec[apt-builddep-pytho
    n-imaging] has failures: true←[0m
    ←[0;36mnotice: /Stage[main]//Package[python]: Dependency
    Exec[apt-builddep-pytho
    n-lxml] has failures: true←[0m
    ←[0;33mwarning: /Stage[main]//Package[python]: Skipping because of failed
    depend
    encies←[0m

    [...]
    If you run the agent with the --debug flag enabled then Puppet should log
    the exact commands it attempts to execute. That may provide a clue as to
    why the Apt::Builddep resources are failing. From what I can see, those
    failures are the root cause of your problem.


    John

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Alon Nisser at Aug 4, 2013 at 11:31 am
    Thanks John for the advice. here is the full log and above it the part
    where the problem is:

      [0;37mdebug: Executing '/usr/bin/apt-get -y --force-yes build-dep
    python-imaging' [0m
      [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission
    denied) [0m
      [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m
      [1;35merr:
    /Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    change from notrun to 0 failed: /usr/bin/apt-get -y --force-yes build-dep
    python-imaging returned 100 instead of one of [0] at
    /tmp/vagrant-puppet/modules-0/apt/manifests/builddep.pp:10 [0m
      [0;37mdebug: /Schedule[never]: Skipping device resources because running
    on a host [0m
      [0;37mdebug: Exec[apt-builddep-python-lxml](provider=posix): Executing
    '/usr/bin/apt-get -y --force-yes build-dep python-lxml' [0m
      [0;37mdebug: Executing '/usr/bin/apt-get -y --force-yes build-dep
    python-lxml' [0m
      [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-lxml]/Exec[apt-builddep-python-lxml]/returns:
    E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission
    denied) [0m
      [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-lxml]/Exec[apt-builddep-python-lxml]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m

      [0;32minfo: Loading facts in
    /tmp/vagrant-puppet/modules-0/concat/lib/facter/concat_basedir.rb [0m
    [0;32minfo: Loading facts in
    /tmp/vagrant-puppet/modules-0/postgresql/lib/facter/postgres_default_version.rb [0m
    [0;32minfo: Loading facts in
    /tmp/vagrant-puppet/modules-0/stdlib/lib/facter/facter_dot_d.rb [0m
    [0;32minfo: Loading facts in
    /tmp/vagrant-puppet/modules-0/stdlib/lib/facter/pe_version.rb [0m
    [0;32minfo: Loading facts in
    /tmp/vagrant-puppet/modules-0/stdlib/lib/facter/puppet_vardir.rb [0m
    [0;32minfo: Loading facts in
    /tmp/vagrant-puppet/modules-0/stdlib/lib/facter/root_home.rb [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/init.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported postgresql from postgresql into
    production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/apt/manifests/init.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported apt from apt into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/apt/manifests/params.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported apt::params from apt/params into
    production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/apt/manifests/update.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported apt::update from apt/update into
    production [0m
    [0;37mdebug: Failed to load library 'selinux' for feature 'selinux' [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/apt/manifests/builddep.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported apt::builddep from apt/builddep into
    production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/nodejs/manifests/init.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported nodejs from nodejs into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/nodejs/manifests/params.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported nodejs::params from nodejs/params
    into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/params.pp' in
    environment production [0m
    [0;37mdebug: Automatically imported postgresql::params from
    postgresql/params into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/server.pp' in
    environment production [0m
    [0;37mdebug: Automatically imported postgresql::server from
    postgresql/server into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/config.pp' in
    environment production [0m
    [0;37mdebug: Automatically imported postgresql::config from
    postgresql/config into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/client.pp' in
    environment production [0m
    [0;37mdebug: Automatically imported postgresql::client from
    postgresql/client into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/python.pp' in
    environment production [0m
    [0;37mdebug: Automatically imported postgresql::python from
    postgresql/python into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/config/beforeservice.pp'
    in environment production [0m
    [0;37mdebug: Automatically imported postgresql::config::beforeservice
    from postgresql/config/beforeservice into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/pg_hba.pp' in
    environment production [0m
    [0;37mdebug: Automatically imported postgresql::pg_hba from
    postgresql/pg_hba into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/pg_hba_rule.pp' in
    environment production [0m
    [0;37mdebug: Automatically imported postgresql::pg_hba_rule from
    postgresql/pg_hba_rule into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/postgresql/manifests/config/afterservice.pp'
    in environment production [0m
    [0;37mdebug: Automatically imported postgresql::config::afterservice from
    postgresql/config/afterservice into production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/concat/manifests/init.pp' in environment
    production [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/concat/manifests/setup.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported concat::setup from concat/setup into
    production [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[local access as postgres user]:
    Adding default for database [0m
    [0;37mdebug: Scope(Postgresql::Pg_hba_rule[local access as postgres
    user]): Retrieving template postgresql/pg_hba_rule.conf [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Bound template variables for
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Interpolated template
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug: importing
    '/tmp/vagrant-puppet/modules-0/concat/manifests/fragment.pp' in environment
    production [0m
    [0;37mdebug: Automatically imported concat::fragment from concat/fragment
    into production [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[local access to database with same
    name]: Adding default for user [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[local access to database with same
    name]: Adding default for database [0m
    [0;37mdebug: Scope(Postgresql::Pg_hba_rule[local access to database with
    same name]): Retrieving template postgresql/pg_hba_rule.conf [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Bound template variables for
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Interpolated template
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[deny access to postgresql user]:
    Adding default for database [0m
    [0;37mdebug: Scope(Postgresql::Pg_hba_rule[deny access to postgresql
    user]): Retrieving template postgresql/pg_hba_rule.conf [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Bound template variables for
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Interpolated template
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[allow access to all users]: Adding
    default for user [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[allow access to all users]: Adding
    default for database [0m
    [0;37mdebug: Scope(Postgresql::Pg_hba_rule[allow access to all users]):
    Retrieving template postgresql/pg_hba_rule.conf [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Bound template variables for
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Interpolated template
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[allow access to ipv6 localhost]:
    Adding default for user [0m
    [0;37mdebug: Postgresql::Pg_hba_rule[allow access to ipv6 localhost]:
    Adding default for database [0m
    [0;37mdebug: Scope(Postgresql::Pg_hba_rule[allow access to ipv6
    localhost]): Retrieving template postgresql/pg_hba_rule.conf [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Bound template variables for
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug:
    template[/tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf]:
    Interpolated template
    /tmp/vagrant-puppet/modules-0/postgresql/templates/pg_hba_rule.conf in 0.00
    seconds [0m
    [0;37mdebug: Adding relationship from Package[postgresql-server] to
    Class[Postgresql::Config] with 'before' [0m
    [0;37mdebug: Adding relationship from Class[Postgresql::Config] to
    Service[postgresqld] with 'before' [0m
    [0;37mdebug: Adding relationship from Class[Postgresql] to
    Class[Postgresql::Server] with 'before' [0m
    [0;37mdebug: Adding relationship from Class[Postgresql::Config] to
    Class[Postgresql::Config::Beforeservice] with 'before' [0m
    [0;37mdebug: Adding relationship from
    Class[Postgresql::Config::Beforeservice] to Service[postgresqld] with
    'before' [0m
    [0;37mdebug: Adding relationship from Service[postgresqld] to
    Class[Postgresql::Config::Afterservice] with 'before' [0m
    [0;37mdebug: Adding relationship from Class[Concat::Setup] to
    Concat::Fragment[pg_hba_rule_local access as postgres user] with
    'before' [0m
    [0;37mdebug: Adding relationship from Class[Concat::Setup] to
    Concat::Fragment[pg_hba_rule_local access to database with same name] with
    'before' [0m
    [0;37mdebug: Adding relationship from Class[Concat::Setup] to
    Concat::Fragment[pg_hba_rule_deny access to postgresql user] with
    'before' [0m
    [0;37mdebug: Adding relationship from Class[Concat::Setup] to
    Concat::Fragment[pg_hba_rule_allow access to all users] with 'before' [0m
    [0;37mdebug: Adding relationship from Class[Concat::Setup] to
    Concat::Fragment[pg_hba_rule_allow access to ipv6 localhost] with
    'before' [0m
    [0;37mdebug: File[/usr/local/bin/concatfragments.sh]: Adding default for
    group [0m
    [0;37mdebug: File[/usr/local/bin/concatfragments.sh]: Adding default for
    owner [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Adding default for replace [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Adding default for group [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Adding default for owner [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Adding default for mode [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Adding default for backup [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Adding default for replace [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Adding default for group [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Adding default for owner [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Adding default for mode [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Adding default for backup [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Adding default for replace [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Adding default for group [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Adding default for owner [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Adding default for mode [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Adding default for backup [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Adding default for replace [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Adding default for group [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Adding default for owner [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Adding default for mode [0m
    [0;37mdebug:
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Adding default for backup [0m
    [0;37mdebug: File[/etc/postgresql/9.1/main/pg_hba.conf]: Adding default
    for replace [0m
    [0;37mdebug: File[/etc/postgresql/9.1/main/pg_hba.conf]: Adding default
    for backup [0m
    [0;37mdebug: Puppet::Type::Package::ProviderRpm: file rpm does not
    exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderPorts: file
    /usr/local/sbin/portupgrade does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderFink: file /sw/bin/fink does
    not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderSun: file /usr/sbin/pkgrm
    does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderFreebsd: file
    /usr/sbin/pkg_info does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderPortupgrade: file
    /usr/local/sbin/portupgrade does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderUp2date: file
    /usr/sbin/up2date-nox does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderPkg: file /usr/bin/pkg does
    not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderAix: file /usr/bin/lslpp does
    not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderPacman: file /usr/bin/pacman
    does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderRug: file /usr/bin/rug does
    not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderZypper: file /usr/bin/zypper
    does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderHpux: file
    /usr/sbin/swinstall does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderSunfreeware: file pkg-get
    does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderOpenbsd: file pkg_info does
    not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderYum: file rpm does not
    exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderUrpmi: file rpm does not
    exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderPortage: file /usr/bin/emerge
    does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderNim: file /usr/sbin/nimclient
    does not exist [0m
    [0;37mdebug: Puppet::Type::Package::ProviderAptrpm: file rpm does not
    exist [0m
    [0;37mdebug: Puppet::Type::Service::ProviderOpenrc: file /sbin/rc-service
    does not exist [0m
    [0;37mdebug: Puppet::Type::Service::ProviderDaemontools: file
    /usr/bin/svc does not exist [0m
    [0;37mdebug: Puppet::Type::Service::ProviderSystemd: file /bin/systemctl
    does not exist [0m
    [0;37mdebug: Puppet::Type::Service::ProviderRedhat: file /sbin/chkconfig
    does not exist [0m
    [0;37mdebug: Puppet::Type::Service::ProviderLaunchd: file /bin/launchctl
    does not exist [0m
    [0;37mdebug: Puppet::Type::Service::ProviderGentoo: file /sbin/rc-update
    does not exist [0m
    [0;37mdebug: Puppet::Type::Service::ProviderRunit: file /usr/bin/sv does
    not exist [0m
    [0;37mdebug: Creating default schedules [0m
    [0;37mdebug: Failed to load library 'shadow' for feature 'libshadow' [0m
    [0;37mdebug: Failed to load library 'ldap' for feature 'ldap' [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var]: Autorequiring
    File[/home/vagrant/.puppet] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/state/state.yaml]:
    Autorequiring File[/home/vagrant/.puppet/var/state] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/client_yaml]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/ssl/public_keys]: Autorequiring
    File[/home/vagrant/.puppet/ssl] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/facts]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/ssl/private_keys]: Autorequiring
    File[/home/vagrant/.puppet/ssl] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/state/last_run_report.yaml]:
    Autorequiring File[/home/vagrant/.puppet/var/state] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/ssl/private]: Autorequiring
    File[/home/vagrant/.puppet/ssl] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/ssl]: Autorequiring
    File[/home/vagrant/.puppet] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/ssl/certificate_requests]:
    Autorequiring File[/home/vagrant/.puppet/ssl] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/client_data]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/ssl/certs]: Autorequiring
    File[/home/vagrant/.puppet/ssl] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/run]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/lib]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/clientbucket]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug:
    /File[/home/vagrant/.puppet/var/state/last_run_summary.yaml]: Autorequiring
    File[/home/vagrant/.puppet/var/state] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/state/graphs]: Autorequiring
    File[/home/vagrant/.puppet/var/state] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/log]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug: /File[/home/vagrant/.puppet/var/state]: Autorequiring
    File[/home/vagrant/.puppet/var] [0m
    [0;37mdebug: Finishing transaction -610898838 [0m
    [0;37mdebug: Loaded state in 0.00 seconds [0m
    [0;37mdebug: Loaded state in 0.00 seconds [0m
    [0;32minfo: Applying configuration version '1374610422' [0m
    [0;37mdebug: /Stage[main]//Package[git]/require: requires Class[Apt] [0m
    [0;37mdebug: /Stage[main]/Nodejs/Package[nodejs]/require: requires
    Anchor[nodejs::repo] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Server/Service[postgresqld]/require: requires
    Package[postgresql-server] [0m
    [0;37mdebug: /Stage[main]/Postgresql::Server/Service[postgresqld]/before:
    requires Class[Postgresql::Config::Afterservice] [0m
    [0;37mdebug:
    /Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/notify:
    subscribes to Exec[apt_update] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow access to ipv6
    localhost]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/101_pg_hba_rule_allow
    access to ipv6 localhost]/notify: subscribes to
    Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf] [0m
    [0;37mdebug: /Stage[main]//Package[sphinx]/require: requires
    Package[python-pip] [0m
    [0;37mdebug:
    /Stage[main]//Apt::Builddep[python-lxml]/Exec[apt-builddep-python-lxml]/notify:
    subscribes to Exec[apt_update] [0m
    [0;37mdebug: /Stage[main]/Apt/File[sources.list]/notify: subscribes to
    Exec[apt_update] [0m
    [0;37mdebug: /Stage[main]/Apt/File[sources.list.d]/notify: subscribes to
    Exec[apt_update] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access as postgres user]/Concat::Fragment[pg_hba_rule_local access as
    postgres
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/001_pg_hba_rule_local
    access as postgres user]/notify: subscribes to
    Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/notify:
    subscribes to Exec[reload_postgresql] [0m
    [0;37mdebug: /Stage[main]//Package[build-essential]/require: requires
    Class[Apt] [0m
    [0;37mdebug: /Stage[main]//Package[apache2]/require: requires
    Class[Apt] [0m
    [0;37mdebug:
    /Stage[main]//Apt::Builddep[python-lxml]/Anchor[apt::builddep::python-lxml]/require:
    requires Class[Apt::Update] [0m
    [0;37mdebug: /Stage[main]//Package[python-virtualenv]/require: requires
    Package[python-pip] [0m
    [0;37mdebug: /Stage[main]//Package[python-virtualenv]/require: requires
    Package[python-setuptools] [0m
    [0;37mdebug: /Stage[main]/Apt/Anchor[apt::update]/require: requires
    Class[Apt::Update] [0m
    [0;37mdebug: /Stage[main]//Package[less]/require: requires
    Package[npm] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access to database with same name]/Concat::Fragment[pg_hba_rule_local
    access to database with same
    name]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local
    access to database with same name]/notify: subscribes to
    Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]/require:
    requires
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]/require:
    requires
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]/require:
    requires
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]/subscribe:
    subscribes to
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]/notify:
    subscribes to File[/etc/postgresql/9.1/main/pg_hba.conf] [0m
    [0;37mdebug: /Stage[main]//Package[python-dev]/require: requires
    Class[Apt] [0m
    [0;37mdebug: /Stage[main]/Postgresql/require: requires Class[Apt] [0m
    [0;37mdebug: /Stage[main]/Postgresql/before: requires
    Class[Postgresql::Server] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Server/Package[postgresql-server]/before: requires
    Class[Postgresql::Config] [0m
    [0;37mdebug: /Stage[main]/Postgresql::Config::Beforeservice/before:
    requires Service[postgresqld] [0m
    [0;37mdebug: /Stage[main]//Apt::Builddep[python-imaging]/require:
    requires Exec[apt-get update] [0m
    [0;37mdebug: /Stage[main]/Nodejs/Package[npm]/require: requires
    Anchor[nodejs::repo] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[deny
    access to postgresql user]/Concat::Fragment[pg_hba_rule_deny access to
    postgresql
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/003_pg_hba_rule_deny
    access to postgresql user]/notify: subscribes to
    Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf] [0m
    [0;37mdebug: /Stage[main]/Postgresql::Client/require: requires
    Class[Postgresql] [0m
    [0;37mdebug: /Stage[main]/Apt/File[configure-apt-proxy]/notify:
    subscribes to Exec[apt_update] [0m
    [0;37mdebug: /Stage[main]/Postgresql::Config/before: requires
    Service[postgresqld] [0m
    [0;37mdebug: /Stage[main]/Postgresql::Config/before: requires
    Class[Postgresql::Config::Beforeservice] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to all users]/Concat::Fragment[pg_hba_rule_allow access to all
    users]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/100_pg_hba_rule_allow
    access to all users]/notify: subscribes to
    Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf] [0m
    [0;37mdebug: /Stage[main]//Apt::Builddep[python-lxml]/require: requires
    Exec[apt-get update] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#listen_addresses]/notify:
    subscribes to Service[postgresqld] [0m
    [0;37mdebug: /Stage[main]//Package[python-pip]/require: requires
    Class[Apt] [0m
    [0;37mdebug: /Stage[main]/Concat::Setup/before: requires
    Concat::Fragment[pg_hba_rule_local access as postgres user] [0m
    [0;37mdebug: /Stage[main]/Concat::Setup/before: requires
    Concat::Fragment[pg_hba_rule_local access to database with same name] [0m
    [0;37mdebug: /Stage[main]/Concat::Setup/before: requires
    Concat::Fragment[pg_hba_rule_deny access to postgresql user] [0m
    [0;37mdebug: /Stage[main]/Concat::Setup/before: requires
    Concat::Fragment[pg_hba_rule_allow access to all users] [0m
    [0;37mdebug: /Stage[main]/Concat::Setup/before: requires
    Concat::Fragment[pg_hba_rule_allow access to ipv6 localhost] [0m
    [0;37mdebug: /Stage[main]/Postgresql::Python/require: requires
    Class[Postgresql] [0m
    [0;37mdebug: /Stage[main]//Exec[apt-get update]/before: requires
    Class[Postgresql] [0m
    [0;37mdebug:
    /Stage[main]//Apt::Builddep[python-imaging]/Anchor[apt::builddep::python-imaging]/require:
    requires Class[Apt::Update] [0m
    [0;37mdebug: /Stage[main]//Package[python]/require: requires
    Class[Apt] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]/notify:
    subscribes to Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf] [0m
    [0;37mdebug: /Stage[main]//Package[python-setuptools]/require: requires
    Class[Apt] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#include]/require:
    requires Exec[create_postgresql_conf_path] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#include]/notify:
    subscribes to Service[postgresqld] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow access to ipv6
    localhost]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/101_pg_hba_rule_allow
    access to ipv6 localhost]: Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Autorequiring File[/home/vagrant/.puppet/var/concat] [0m
    [0;37mdebug:
    /Stage[main]/Concat::Setup/File[/home/vagrant/.puppet/var/concat/bin]:
    Autorequiring File[/home/vagrant/.puppet/var/concat] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access as postgres user]/Concat::Fragment[pg_hba_rule_local access as
    postgres
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/001_pg_hba_rule_local
    access as postgres user]: Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access to database with same name]/Concat::Fragment[pg_hba_rule_local
    access to database with same
    name]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local
    access to database with same name]: Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]:
    Autorequiring
    File[/home/vagrant/.puppet/var/concat/bin/concatfragments.sh] [0m
    [0;37mdebug:
    /Stage[main]/Concat::Setup/File[/home/vagrant/.puppet/var/concat/bin/concatfragments.sh]:
    Autorequiring File[/home/vagrant/.puppet/var/concat/bin] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[deny
    access to postgresql user]/Concat::Fragment[pg_hba_rule_deny access to
    postgresql
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/003_pg_hba_rule_deny
    access to postgresql user]: Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to all users]/Concat::Fragment[pg_hba_rule_allow access to all
    users]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/100_pg_hba_rule_allow
    access to all users]: Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf] [0m
    [0;37mdebug:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Autorequiring
    File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf] [0m
    [0;37mdebug: /Schedule[daily]: Skipping device resources because running
    on a host [0m
    [0;37mdebug: /Schedule[monthly]: Skipping device resources because
    running on a host [0m
    [0;37mdebug: /Schedule[hourly]: Skipping device resources because running
    on a host [0m
    [0;37mdebug: Service[apache2](provider=upstart): Could not find
    apache2.conf in /etc/init [0m
    [0;37mdebug: Service[apache2](provider=upstart): Could not find
    apache2.conf in /etc/init.d [0m
    [0;37mdebug: Service[apache2](provider=upstart): Could not find apache2
    in /etc/init [0m
    [0;37mdebug: Service[apache2](provider=upstart): Executing
    '/etc/init.d/apache2 status' [0m
    [0;37mdebug: Exec[apt-get update](provider=posix): Executing check
    '/bin/sh -c '[ ! -f /var/cache/apt/pkgcache.bin ] || /usr/bin/find
    /etc/apt/* -cnewer /var/cache/apt/pkgcache.bin | /bin/grep . >
    /dev/null'' [0m
    [0;37mdebug: Executing '/bin/sh -c '[ ! -f /var/cache/apt/pkgcache.bin ]
    /usr/bin/find /etc/apt/* -cnewer /var/cache/apt/pkgcache.bin | /bin/grep
    . > /dev/null'' [0m
    [0;37mdebug: Exec[apt-builddep-python-imaging](provider=posix): Executing
    '/usr/bin/apt-get -y --force-yes build-dep python-imaging' [0m
    [0;37mdebug: Executing '/usr/bin/apt-get -y --force-yes build-dep
    python-imaging' [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission
    denied) [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m
    [1;35merr:
    /Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    change from notrun to 0 failed: /usr/bin/apt-get -y --force-yes build-dep
    python-imaging returned 100 instead of one of [0] at
    /tmp/vagrant-puppet/modules-0/apt/manifests/builddep.pp:10 [0m
    [0;37mdebug: /Schedule[never]: Skipping device resources because running
    on a host [0m
    [0;37mdebug: Exec[apt-builddep-python-lxml](provider=posix): Executing
    '/usr/bin/apt-get -y --force-yes build-dep python-lxml' [0m
    [0;37mdebug: Executing '/usr/bin/apt-get -y --force-yes build-dep
    python-lxml' [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-lxml]/Exec[apt-builddep-python-lxml]/returns:
    E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission
    denied) [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-lxml]/Exec[apt-builddep-python-lxml]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m
    [1;35merr:
    /Stage[main]//Apt::Builddep[python-lxml]/Exec[apt-builddep-python-lxml]/returns:
    change from notrun to 0 failed: /usr/bin/apt-get -y --force-yes build-dep
    python-lxml returned 100 instead of one of [0] at
    /tmp/vagrant-puppet/modules-0/apt/manifests/builddep.pp:10 [0m
    [0;37mdebug: Prefetching apt resources for package [0m
    [0;37mdebug: Executing '/usr/bin/dpkg-query -W --showformat '${Status}
    ${Package} ${Version}\n'' [0m
    [0;37mdebug: Puppet::Type::Package::ProviderApt: Executing
    '/usr/bin/dpkg-query -W --showformat '${Status} ${Package}
    ${Version}\n'' [0m
    [0;37mdebug: Prefetching npm resources for package [0m
    [0;37mdebug: Puppet::Type::Package::ProviderNpm: Executing '/usr/bin/npm
    list --json --global' [0m
    [0;36mnotice: /Stage[main]/Apt::Update/Exec[apt_update]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]/Apt::Update/Exec[apt_update]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]/Apt::Update/Exec[apt_update]: Skipping
    because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-imaging]/Anchor[apt::builddep::python-imaging]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-imaging]/Anchor[apt::builddep::python-imaging]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]//Apt::Builddep[python-imaging]/Anchor[apt::builddep::python-imaging]:
    Skipping because of failed dependencies [0m
    [0;36mnotice: /Stage[main]/Apt/Anchor[apt::update]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]/Apt/Anchor[apt::update]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]/Apt/Anchor[apt::update]: Skipping because of
    failed dependencies [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-lxml]/Anchor[apt::builddep::python-lxml]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]//Apt::Builddep[python-lxml]/Anchor[apt::builddep::python-lxml]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]//Apt::Builddep[python-lxml]/Anchor[apt::builddep::python-lxml]:
    Skipping because of failed dependencies [0m
    [0;37mdebug: /Schedule[weekly]: Skipping device resources because running
    on a host [0m
    [0;36mnotice: /Stage[main]//Package[build-essential]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[build-essential]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[build-essential]: Skipping because
    of failed dependencies [0m
    [0;36mnotice: /Stage[main]//Package[git]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[git]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[git]: Skipping because of failed
    dependencies [0m
    [0;36mnotice: /Stage[main]//Package[python-pip]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[python-pip]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[python-pip]: Skipping because of
    failed dependencies [0m
    [0;36mnotice: /Stage[main]//Package[python-dev]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[python-dev]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[python-dev]: Skipping because of
    failed dependencies [0m
    [0;36mnotice: /Stage[main]//Package[python-setuptools]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[python-setuptools]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[python-setuptools]: Skipping because
    of failed dependencies [0m
    [0;36mnotice: /Stage[main]//Package[python-virtualenv]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[python-virtualenv]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[python-virtualenv]: Skipping because
    of failed dependencies [0m
    [0;37mdebug: Prefetching pip resources for package [0m
    [0;37mdebug: Puppet::Type::Package::ProviderPip: Executing '/usr/bin/pip
    freeze' [0m
    [0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[sphinx]: Skipping because of failed
    dependencies [0m
    [0;36mnotice: /Stage[main]//Package[python]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[python]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[python]: Skipping because of failed
    dependencies [0m
    [0;36mnotice: /Stage[main]//Package[apache2]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]//Package[apache2]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]//Package[apache2]: Skipping because of failed
    dependencies [0m
    [0;36mnotice: /Stage[main]/Postgresql::Client/Package[postgresql-client]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]/Postgresql::Client/Package[postgresql-client]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Client/Package[postgresql-client]: Skipping
    because of failed dependencies [0m
    [0;36mnotice: /Stage[main]/Postgresql::Server/Package[postgresql-server]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]/Postgresql::Server/Package[postgresql-server]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Server/Package[postgresql-server]: Skipping
    because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Exec[create_postgresql_conf_path]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Exec[create_postgresql_conf_path]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Exec[create_postgresql_conf_path]:
    Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#include]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#include]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#include]:
    Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf]:
    Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments]:
    Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat]:
    Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments.concat.out]:
    Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#listen_addresses]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#listen_addresses]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/File_line[postgresql.conf#listen_addresses]:
    Skipping because of failed dependencies [0m
    [0;37mdebug: /Schedule[puppet]: Skipping device resources because running
    on a host [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access as postgres user]/Concat::Fragment[pg_hba_rule_local access as
    postgres
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/001_pg_hba_rule_local
    access as postgres user]: Dependency Exec[apt-builddep-python-lxml] has
    failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access as postgres user]/Concat::Fragment[pg_hba_rule_local access as
    postgres
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/001_pg_hba_rule_local
    access as postgres user]: Dependency Exec[apt-builddep-python-imaging] has
    failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access as postgres user]/Concat::Fragment[pg_hba_rule_local access as
    postgres
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/001_pg_hba_rule_local
    access as postgres user]: Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[deny
    access to postgresql user]/Concat::Fragment[pg_hba_rule_deny access to
    postgresql
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/003_pg_hba_rule_deny
    access to postgresql user]: Dependency Exec[apt-builddep-python-lxml] has
    failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[deny
    access to postgresql user]/Concat::Fragment[pg_hba_rule_deny access to
    postgresql
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/003_pg_hba_rule_deny
    access to postgresql user]: Dependency Exec[apt-builddep-python-imaging]
    has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[deny
    access to postgresql user]/Concat::Fragment[pg_hba_rule_deny access to
    postgresql
    user]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/003_pg_hba_rule_deny
    access to postgresql user]: Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access to database with same name]/Concat::Fragment[pg_hba_rule_local
    access to database with same
    name]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local
    access to database with same name]: Dependency
    Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access to database with same name]/Concat::Fragment[pg_hba_rule_local
    access to database with same
    name]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local
    access to database with same name]: Dependency
    Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[local
    access to database with same name]/Concat::Fragment[pg_hba_rule_local
    access to database with same
    name]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/002_pg_hba_rule_local
    access to database with same name]: Skipping because of failed
    dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to all users]/Concat::Fragment[pg_hba_rule_allow access to all
    users]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/100_pg_hba_rule_allow
    access to all users]: Dependency Exec[apt-builddep-python-lxml] has
    failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to all users]/Concat::Fragment[pg_hba_rule_allow access to all
    users]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/100_pg_hba_rule_allow
    access to all users]: Dependency Exec[apt-builddep-python-imaging] has
    failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to all users]/Concat::Fragment[pg_hba_rule_allow access to all
    users]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/100_pg_hba_rule_allow
    access to all users]: Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow access to ipv6
    localhost]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/101_pg_hba_rule_allow
    access to ipv6 localhost]: Dependency Exec[apt-builddep-python-lxml] has
    failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow access to ipv6
    localhost]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/101_pg_hba_rule_allow
    access to ipv6 localhost]: Dependency Exec[apt-builddep-python-imaging] has
    failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba_rule[allow
    access to ipv6 localhost]/Concat::Fragment[pg_hba_rule_allow access to ipv6
    localhost]/File[/home/vagrant/.puppet/var/concat/_etc_postgresql_9.1_main_pg_hba.conf/fragments/101_pg_hba_rule_allow
    access to ipv6 localhost]: Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/Exec[concat_/etc/postgresql/9.1/main/pg_hba.conf]:
    Skipping because of failed dependencies [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/etc/postgresql/9.1/main/pg_hba.conf]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/etc/postgresql/9.1/main/pg_hba.conf]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning:
    /Stage[main]/Postgresql::Config::Beforeservice/Postgresql::Pg_hba[main]/Concat[/etc/postgresql/9.1/main/pg_hba.conf]/File[/etc/postgresql/9.1/main/pg_hba.conf]:
    Skipping because of failed dependencies [0m
    [0;36mnotice: /Stage[main]/Postgresql::Server/Exec[reload_postgresql]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]/Postgresql::Server/Exec[reload_postgresql]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]/Postgresql::Server/Exec[reload_postgresql]:
    Skipping because of failed dependencies [0m
    [0;36mnotice: /Stage[main]/Postgresql::Server/Service[postgresqld]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;36mnotice: /Stage[main]/Postgresql::Server/Service[postgresqld]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;33mwarning: /Stage[main]/Postgresql::Server/Service[postgresqld]:
    Skipping because of failed dependencies [0m
    [0;36mnotice: /Stage[main]/Postgresql::Python/Package[python-psycopg2]:
    Dependency Exec[apt-builddep-python-lxml] has failures: true [0m
    [0;36mnotice: /Stage[main]/Postgresql::Python/Package[python-psycopg2]:
    Dependency Exec[apt-builddep-python-imaging] has failures: true [0m
    [0;33mwarning: /Stage[main]/Postgresql::Python/Package[python-psycopg2]:
    Skipping because of failed dependencies [0m
    [0;37mdebug: Finishing transaction -614892588 [0m
    [0;37mdebug: Storing state [0m
    [0;37mdebug: Stored state in 0.00 seconds [0m
    [0;36mnotice: Finished catalog run in 1.46 seconds [0m
    [0;37mdebug: Finishing transaction -616054008 [0m
    [0;37mdebug: Received report to process from precise32.tdror.local [0m
    [0;37mdebug: Processing report from precise32.tdror.local with processor
    Puppet::Reports::Store [0m
    On Monday, July 29, 2013 9:32:49 PM UTC+3, jcbollinger wrote:


    On Sunday, July 21, 2013 6:56:12 PM UTC-5, Alon Nisser wrote:

    Running puppet from vagrant.
    this is my puppet code:

    package {
    ["build-essential","apache2","git","python","python-dev","python-setuptools",
    "python-pip"]:
    ensure => present,
    require => Class["apt"],
    }
    # include apt
    class {"apt":
    always_apt_update => true,
    }
    apt::builddep { ["python-imaging","python-lxml"]:

    }
    include nodejs
    package {"less":
    ensure => present,
    provider => 'npm',
    require => Package['npm'],
    }
    package {"python-virtualenv":
    ensure => present,
    require => Package["python-pip", "python-setuptools"]
    }
    package {"sphinx":
    ensure => present,
    require => Package["python-pip"],
    provider => pip
    }
    service {'apache2':
    ensure => running,
    enable => true,
    #subscribe => File["/etc/apache2/apache2.conf"]
    }
    #include postgresql
    class { 'postgresql':
    charset => 'UTF8',
    require => Class['apt'],
    }-> class { 'postgresql::server':
    config_hash => {
    'ip_mask_deny_postgres_user' => '0.0.0.0/32',
    'ip_mask_allow_all_users' => '0.0.0.0/0',
    'listen_addresses' => '*',
    },
    }
    class {'postgresql::client':
    package_ensure => present,
    require => Class['postgresql'],
    }
    class {'postgresql::python':
    package_ensure => present,
    require => Class['postgresql'],
    }


    The error: would be glad with any help with this



    ←[0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
    Exec[apt-builddep-pytho
    n-imaging] has failures: true←[0m
    ←[0;36mnotice: /Stage[main]//Package[sphinx]: Dependency
    Exec[apt-builddep-pytho
    n-lxml] has failures: true←[0m
    ←[0;33mwarning: /Stage[main]//Package[sphinx]: Skipping because of failed
    depend
    encies←[0m
    ←[0;36mnotice: /Stage[main]//Package[python]: Dependency
    Exec[apt-builddep-pytho
    n-imaging] has failures: true←[0m
    ←[0;36mnotice: /Stage[main]//Package[python]: Dependency
    Exec[apt-builddep-pytho
    n-lxml] has failures: true←[0m
    ←[0;33mwarning: /Stage[main]//Package[python]: Skipping because of failed
    depend
    encies←[0m

    [...]
    If you run the agent with the --debug flag enabled then Puppet should log
    the exact commands it attempts to execute. That may provide a clue as to
    why the Apt::Builddep resources are failing. From what I can see, those
    failures are the root cause of your problem.


    John
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Denmat at Aug 4, 2013 at 10:06 pm
    Did you see this in the log?

    Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns: E: Unable to lock the administration directory (/var/lib/dpkg/), are you root? [0m

    Who are you running it as?

    Den
    On 04/08/2013, at 21:31, Alon Nisser wrote:

    Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns: E: Unable to lock the administration directory (/var/lib/dpkg/), are you root? [0m
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Alon Nisser at Aug 5, 2013 at 8:04 am
    I'm running puppet from vagrant, everything else runs as root so I guess
    this also runs as root (is there a way to specifiy to run as root in the
    puppet command?)
    On Monday, August 5, 2013 1:06:52 AM UTC+3, denmat wrote:

    Did you see this in the log?

    Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m

    Who are you running it as?

    Den
    On 04/08/2013, at 21:31, Alon Nisser <alon...@gmail.com <javascript:>>
    wrote:
    Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Jcbollinger at Aug 5, 2013 at 1:50 pm

    On Monday, August 5, 2013 3:04:08 AM UTC-5, Alon Nisser wrote:
    I'm running puppet from vagrant, everything else runs as root so I guess
    this also runs as root (is there a way to specifiy to run as root in the
    puppet command?)
    No. Mechanisms by which unprivileged processes can obtain privilege are
    universally categorized as security vulnerabilities. They are the source
    of so-called "privilege escalation attacks". Every operating system does
    its best to avoid providing such mechanisms.

    Vagrant itself may run as root in order to do many of the things it wants
    to do (though that's under your control), but that does not mean the
    processes it launches automatically run as root, too. I'm not much of a
    vagrant guy, though, so I can't say for sure.


    On Monday, August 5, 2013 1:06:52 AM UTC+3, denmat wrote:

    Did you see this in the log?

    Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m

    Who are you running it as?

    Den
    On 04/08/2013, at 21:31, Alon Nisser wrote:
    Stage[main]//Apt::Builddep[python-imaging]/Exec[apt-builddep-python-imaging]/returns:
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you
    root? [0m
    Let's see whether we can simplify the picture by cutting Puppet out of it.
    Can you configure Vagrant to directly run the apt-get command that Puppet
    fails to run? From the log, that would be:

    /usr/bin/apt-get -y --force-yes build-dep python-imaging

    I would be surprised to find Vagrant successful at running that directly,
    yet unsuccessful at running it indirectly via Puppet. If Vagrant indeed
    fails to run the command directly then your problem is with how you are
    using Vagrant. Ensure that Vagrant is running as root, and look for
    Vagrant features related to the user or privileges with which external
    processes are launched. On the other hand, if Vagrant succeeds in running
    the command directly, then your permissions problem likely involves SELinux
    or some other access control mechanism separate from the standard UNIX
    discretionary access controls.


    John

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedJul 21, '13 at 11:56p
activeAug 5, '13 at 1:50p
posts6
users3
websitepuppetlabs.com

People

Translate

site design / logo © 2021 Grokbase